Subject: Re: [PATCH] powerpc: 85xx: add proper OF bus ids for the TQM85xx

From: Wolfgang Grandegger <[email-masked]>
Date: Sun, 17 Aug 2008 11:03:24 +0200

Wolfgang Grandegger wrote:
> Jon Loeliger wrote:
>> Wolfgang Grandegger wrote:
>>
>>> Ah, I see. For the TQM8548 adding the following compatible line:
>>>
>>>         soc8548@e0000000 {
>>>         ...
>>>         compatible = "fsl,mpc8548-immr", "simple-bus";
>>>
>>
>>
>> Hmmmm..... While you are there, I think you should drop
>> the "8548" part of "soc8548" to get just "soc@e0000000".
> 
> Well, right. I'm going to check the tqm8548.dts file more carefully.

Looking into 2.6.27-rc3, I realized that these issues have not yet been
fixed :-(. I just sent out a patch for 2.6.27 doing so:

  http://ozlabs.org/pipermail/linuxppc-dev/2008-August/061725.html

Thanks.

Wolfgang.